<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14490.70" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="BYZ-38-t0r">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14490.49"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--View Controller-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController id="BYZ-38-t0r" customClass="ViewController" customModule="RooxSample" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="2000"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <scrollView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="MSh-t8-vst">
                                <rect key="frame" x="0.0" y="0.0" width="375" height="2000"/>
                                <subviews>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="HXc-gi-ngX" userLabel="ContentView">
                                        <rect key="frame" x="0.0" y="0.0" width="375" height="2084"/>
                                        <subviews>
                                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" translatesAutoresizingMaskIntoConstraints="NO" id="IYA-lN-dtK">
                                                <rect key="frame" x="0.0" y="0.0" width="375" height="1555.5"/>
                                                <subviews>
                                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="10" translatesAutoresizingMaskIntoConstraints="NO" id="VMH-I5-Wyb">
                                                        <rect key="frame" x="0.0" y="0.0" width="375" height="676"/>
                                                        <subviews>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Url:" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="aeC-8j-IYh">
                                                                <rect key="frame" x="0.0" y="0.0" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" text="https://sso-mgf.demo.rooxteam.com" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="Rfx-J6-q7r">
                                                                <rect key="frame" x="0.0" y="30.5" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Client ID:" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="gTS-Va-F1b">
                                                                <rect key="frame" x="0.0" y="70.5" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" text="mlk" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="waf-Zj-fYh">
                                                                <rect key="frame" x="0.0" y="101" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Client Secret:" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="bE4-YZ-PMH">
                                                                <rect key="frame" x="0.0" y="141" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" text="password" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="t9g-2i-2tL">
                                                                <rect key="frame" x="0.0" y="171.5" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="X-Forwarded-For" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="OcD-ci-wag">
                                                                <rect key="frame" x="0.0" y="211.5" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" text="5.134.221.198" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="snW-Jd-X2F">
                                                                <rect key="frame" x="0.0" y="242" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="X-Nokia-MSISDN" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="2MK-sf-F4i">
                                                                <rect key="frame" x="0.0" y="282" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" text="9876543210" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="h4o-yK-dbW">
                                                                <rect key="frame" x="0.0" y="312.5" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Retry count" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="gII-Jq-0BS">
                                                                <rect key="frame" x="0.0" y="352.5" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" text="3" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="rHN-HT-5Is">
                                                                <rect key="frame" x="0.0" y="383" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Connect timeout" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="mpl-B1-iye">
                                                                <rect key="frame" x="0.0" y="423" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" text="3" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="82N-29-886">
                                                                <rect key="frame" x="0.0" y="453.5" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Read Timeout" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="hH4-YZ-JQT">
                                                                <rect key="frame" x="0.0" y="493.5" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" text="3" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="ZmF-t5-ykk">
                                                                <rect key="frame" x="0.0" y="524" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                            <stackView opaque="NO" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="1fc-Fd-Rug">
                                                                <rect key="frame" x="0.0" y="564" width="375" height="31"/>
                                                                <subviews>
                                                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Keep alive" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="nDg-PW-DBi">
                                                                        <rect key="frame" x="0.0" y="0.0" width="326" height="31"/>
                                                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                        <nil key="textColor"/>
                                                                        <nil key="highlightedColor"/>
                                                                    </label>
                                                                    <switch opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="750" verticalHuggingPriority="750" contentHorizontalAlignment="center" contentVerticalAlignment="center" on="YES" translatesAutoresizingMaskIntoConstraints="NO" id="bAJ-P1-53H">
                                                                        <rect key="frame" x="326" y="0.0" width="51" height="31"/>
                                                                        <connections>
                                                                            <action selector="keepAliveChanged:" destination="BYZ-38-t0r" eventType="valueChanged" id="2LH-lq-xQh"/>
                                                                        </connections>
                                                                    </switch>
                                                                </subviews>
                                                            </stackView>
                                                            <stackView opaque="NO" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="8c2-Tb-TFf">
                                                                <rect key="frame" x="0.0" y="605" width="375" height="31"/>
                                                                <subviews>
                                                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Analytics" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="3ek-qw-VSQ">
                                                                        <rect key="frame" x="0.0" y="0.0" width="326" height="31"/>
                                                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                        <nil key="textColor"/>
                                                                        <nil key="highlightedColor"/>
                                                                    </label>
                                                                    <switch opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="750" verticalHuggingPriority="750" contentHorizontalAlignment="center" contentVerticalAlignment="center" on="YES" translatesAutoresizingMaskIntoConstraints="NO" id="DMP-85-vgY">
                                                                        <rect key="frame" x="326" y="0.0" width="51" height="31"/>
                                                                        <connections>
                                                                            <action selector="analyticsChanged:" destination="BYZ-38-t0r" eventType="valueChanged" id="HBG-ZK-eAg"/>
                                                                        </connections>
                                                                    </switch>
                                                                </subviews>
                                                            </stackView>
                                                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="vb1-iJ-wwL">
                                                                <rect key="frame" x="0.0" y="646" width="375" height="30"/>
                                                                <state key="normal" title="Init"/>
                                                                <connections>
                                                                    <action selector="onInitClick:" destination="BYZ-38-t0r" eventType="touchUpInside" id="yVr-Ih-klb"/>
                                                                </connections>
                                                            </button>
                                                        </subviews>
                                                    </stackView>
                                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="avb-wN-YMA">
                                                        <rect key="frame" x="0.0" y="676" width="375" height="228"/>
                                                        <subviews>
                                                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="10" translatesAutoresizingMaskIntoConstraints="NO" id="Co1-97-Vvo">
                                                                <rect key="frame" x="0.0" y="-1" width="375" height="230"/>
                                                                <subviews>
                                                                    <button opaque="NO" contentMode="scaleToFill" verticalHuggingPriority="251" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="hiS-8h-jae">
                                                                        <rect key="frame" x="0.0" y="0.0" width="375" height="30"/>
                                                                        <state key="normal" title="Autologin"/>
                                                                        <connections>
                                                                            <action selector="onAutologinClick:" destination="BYZ-38-t0r" eventType="touchUpInside" id="Qne-tZ-UhZ"/>
                                                                        </connections>
                                                                    </button>
                                                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="tFl-mx-vNA">
                                                                        <rect key="frame" x="0.0" y="40" width="375" height="109"/>
                                                                        <state key="normal" title="OTP"/>
                                                                        <connections>
                                                                            <action selector="onOTPClick:" destination="BYZ-38-t0r" eventType="touchUpInside" id="pnn-bV-Wcc"/>
                                                                        </connections>
                                                                    </button>
                                                                    <button opaque="NO" contentMode="scaleToFill" verticalHuggingPriority="251" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="r7f-si-VV8">
                                                                        <rect key="frame" x="0.0" y="159" width="375" height="30"/>
                                                                        <state key="normal" title="User/Pass"/>
                                                                        <connections>
                                                                            <action selector="onUserPassClick:" destination="BYZ-38-t0r" eventType="touchUpInside" id="XiG-mg-1HH"/>
                                                                        </connections>
                                                                    </button>
                                                                    <stackView opaque="NO" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Auw-th-cEO">
                                                                        <rect key="frame" x="0.0" y="199" width="375" height="31"/>
                                                                        <subviews>
                                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Lock autologin" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Krv-d8-PDX">
                                                                                <rect key="frame" x="0.0" y="0.0" width="326" height="31"/>
                                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                                <nil key="textColor"/>
                                                                                <nil key="highlightedColor"/>
                                                                            </label>
                                                                            <switch opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="750" verticalHuggingPriority="750" contentHorizontalAlignment="center" contentVerticalAlignment="center" on="YES" translatesAutoresizingMaskIntoConstraints="NO" id="vEw-Ux-fG4">
                                                                                <rect key="frame" x="326" y="0.0" width="51" height="31"/>
                                                                                <connections>
                                                                                    <action selector="autolockBlockChange:" destination="BYZ-38-t0r" eventType="valueChanged" id="G0e-Z9-6N6"/>
                                                                                </connections>
                                                                            </switch>
                                                                        </subviews>
                                                                    </stackView>
                                                                </subviews>
                                                                <color key="backgroundColor" white="0.76056827910958902" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                                <color key="tintColor" cocoaTouchSystemColor="darkTextColor"/>
                                                            </stackView>
                                                        </subviews>
                                                        <color key="backgroundColor" white="0.7752300941780822" alpha="0.59999999999999998" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                        <constraints>
                                                            <constraint firstItem="Co1-97-Vvo" firstAttribute="leading" secondItem="avb-wN-YMA" secondAttribute="leading" id="2vE-XL-ndQ"/>
                                                            <constraint firstAttribute="bottom" secondItem="Co1-97-Vvo" secondAttribute="bottom" constant="-1" id="4z3-xA-TbD"/>
                                                            <constraint firstItem="Co1-97-Vvo" firstAttribute="top" secondItem="avb-wN-YMA" secondAttribute="top" constant="-1" id="bpR-fH-VZB"/>
                                                            <constraint firstItem="Co1-97-Vvo" firstAttribute="width" secondItem="avb-wN-YMA" secondAttribute="width" id="utL-3c-38p"/>
                                                        </constraints>
                                                    </view>
                                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" translatesAutoresizingMaskIntoConstraints="NO" id="Qox-Zl-OZJ" userLabel="MPTSet">
                                                        <rect key="frame" x="0.0" y="904" width="375" height="288.5"/>
                                                        <subviews>
                                                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" translatesAutoresizingMaskIntoConstraints="NO" id="i90-0V-kET">
                                                                <rect key="frame" x="0.0" y="0.0" width="375" height="50.5"/>
                                                                <subviews>
                                                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="MPT" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Sqh-q2-RSR">
                                                                        <rect key="frame" x="0.0" y="0.0" width="375" height="20.5"/>
                                                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                        <nil key="textColor"/>
                                                                        <nil key="highlightedColor"/>
                                                                    </label>
                                                                    <stackView opaque="NO" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="8sZ-jv-NOF">
                                                                        <rect key="frame" x="0.0" y="20.5" width="375" height="30"/>
                                                                        <subviews>
                                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="tq3-GB-VeO">
                                                                                <rect key="frame" x="0.0" y="0.0" width="345" height="30"/>
                                                                                <nil key="textColor"/>
                                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                                <textInputTraits key="textInputTraits"/>
                                                                            </textField>
                                                                            <button opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="300" verticalHuggingPriority="300" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="9dz-B4-uIs" userLabel="Set Token">
                                                                                <rect key="frame" x="345" y="0.0" width="30" height="30"/>
                                                                                <state key="normal" title="Set"/>
                                                                                <connections>
                                                                                    <action selector="setMptTokenClick:" destination="BYZ-38-t0r" eventType="touchUpInside" id="K7s-SE-acR"/>
                                                                                </connections>
                                                                            </button>
                                                                        </subviews>
                                                                    </stackView>
                                                                </subviews>
                                                            </stackView>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Stored MPT:" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="A9K-bs-r8d">
                                                                <rect key="frame" x="0.0" y="50.5" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="j4f-Vl-wOh">
                                                                <rect key="frame" x="0.0" y="71" width="375" height="30"/>
                                                                <state key="normal" title="Refresh Token"/>
                                                                <connections>
                                                                    <action selector="refreshTokenClick:" destination="BYZ-38-t0r" eventType="touchUpInside" id="HlO-OD-3wl"/>
                                                                </connections>
                                                            </button>
                                                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="aZs-CD-wse">
                                                                <rect key="frame" x="0.0" y="101" width="375" height="30"/>
                                                                <state key="normal" title="Token Info"/>
                                                                <connections>
                                                                    <action selector="tokenInfoClick:" destination="BYZ-38-t0r" eventType="touchUpInside" id="qHQ-En-aN9"/>
                                                                </connections>
                                                            </button>
                                                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="YNG-dB-a7G">
                                                                <rect key="frame" x="0.0" y="131" width="375" height="30"/>
                                                                <state key="normal" title="Get Access Token"/>
                                                                <connections>
                                                                    <action selector="getAccessToken:" destination="BYZ-38-t0r" eventType="touchUpInside" id="lf4-gM-FYZ"/>
                                                                </connections>
                                                            </button>
                                                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="18" translatesAutoresizingMaskIntoConstraints="NO" id="7f1-n1-JZg">
                                                                <rect key="frame" x="0.0" y="161" width="375" height="107"/>
                                                                <subviews>
                                                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Access token" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="gH8-qd-OQd">
                                                                        <rect key="frame" x="0.0" y="0.0" width="375" height="20.5"/>
                                                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                        <nil key="textColor"/>
                                                                        <nil key="highlightedColor"/>
                                                                    </label>
                                                                    <stackView opaque="NO" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="wwp-mO-4BK">
                                                                        <rect key="frame" x="0.0" y="38.5" width="375" height="30"/>
                                                                        <subviews>
                                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="kqn-kf-32N">
                                                                                <rect key="frame" x="0.0" y="0.0" width="331" height="30"/>
                                                                                <nil key="textColor"/>
                                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                                <textInputTraits key="textInputTraits"/>
                                                                            </textField>
                                                                            <button opaque="NO" contentMode="scaleToFill" horizontalHuggingPriority="300" verticalHuggingPriority="300" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="5EY-d0-Cn6" userLabel="Check Token">
                                                                                <rect key="frame" x="331" y="0.0" width="44" height="30"/>
                                                                                <state key="normal" title="Check"/>
                                                                                <connections>
                                                                                    <action selector="accessTokenCheckClick:" destination="BYZ-38-t0r" eventType="touchUpInside" id="5ur-mz-EAS"/>
                                                                                </connections>
                                                                            </button>
                                                                        </subviews>
                                                                    </stackView>
                                                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Check result" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="mN8-8T-tWW">
                                                                        <rect key="frame" x="0.0" y="86.5" width="375" height="20.5"/>
                                                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                        <nil key="textColor"/>
                                                                        <nil key="highlightedColor"/>
                                                                    </label>
                                                                </subviews>
                                                            </stackView>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="MPT" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="1hP-6e-iPC">
                                                                <rect key="frame" x="0.0" y="268" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                        </subviews>
                                                    </stackView>
                                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Result:" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="qgS-ho-gMK" userLabel="ResultLabel">
                                                        <rect key="frame" x="0.0" y="1192.5" width="375" height="20.5"/>
                                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                        <nil key="textColor"/>
                                                        <nil key="highlightedColor"/>
                                                    </label>
                                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="10" translatesAutoresizingMaskIntoConstraints="NO" id="jS7-cG-Tcw">
                                                        <rect key="frame" x="0.0" y="1213" width="375" height="131"/>
                                                        <subviews>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" verticalCompressionResistancePriority="751" text="Username" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="XH8-W0-Y4M">
                                                                <rect key="frame" x="0.0" y="0.0" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" verticalCompressionResistancePriority="751" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="Vlz-9l-jvh">
                                                                <rect key="frame" x="0.0" y="30.5" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Password" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Nhu-hA-qQQ">
                                                                <rect key="frame" x="0.0" y="70.5" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" verticalCompressionResistancePriority="751" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="Qgp-uH-XI2">
                                                                <rect key="frame" x="0.0" y="101" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                        </subviews>
                                                    </stackView>
                                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="10" translatesAutoresizingMaskIntoConstraints="NO" id="hjc-VK-7xR">
                                                        <rect key="frame" x="0.0" y="1344" width="375" height="60.5"/>
                                                        <subviews>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="MSISDN" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="ng8-Wd-14S">
                                                                <rect key="frame" x="0.0" y="0.0" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="I72-TG-w71">
                                                                <rect key="frame" x="0.0" y="30.5" width="375" height="30"/>
                                                                <constraints>
                                                                    <constraint firstAttribute="height" constant="30" id="AIX-kI-YOm"/>
                                                                </constraints>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                        </subviews>
                                                    </stackView>
                                                    <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="10" translatesAutoresizingMaskIntoConstraints="NO" id="WeX-1j-Qk9">
                                                        <rect key="frame" x="0.0" y="1404.5" width="375" height="91"/>
                                                        <subviews>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="OTP Code" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="lvP-gt-naw">
                                                                <rect key="frame" x="0.0" y="0.0" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="fTT-2y-bpx" userLabel="OtpDetails">
                                                                <rect key="frame" x="0.0" y="30.5" width="375" height="20.5"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                                <nil key="textColor"/>
                                                                <nil key="highlightedColor"/>
                                                            </label>
                                                            <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="leading" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="cYK-ga-Ysk">
                                                                <rect key="frame" x="0.0" y="61" width="375" height="30"/>
                                                                <nil key="textColor"/>
                                                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                                                <textInputTraits key="textInputTraits"/>
                                                            </textField>
                                                        </subviews>
                                                    </stackView>
                                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="mSL-0j-rS8">
                                                        <rect key="frame" x="0.0" y="1495.5" width="375" height="30"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" constant="30" id="AVl-f0-fet"/>
                                                        </constraints>
                                                        <state key="normal" title="Login"/>
                                                        <connections>
                                                            <action selector="onLoginClick:" destination="BYZ-38-t0r" eventType="touchUpInside" id="rFa-9f-yjk"/>
                                                        </connections>
                                                    </button>
                                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="XJ4-vN-QYN">
                                                        <rect key="frame" x="0.0" y="1525.5" width="375" height="30"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" constant="30" id="6hC-kp-e3j"/>
                                                        </constraints>
                                                        <state key="normal" title="Logout"/>
                                                        <connections>
                                                            <action selector="onLogoutClick:" destination="BYZ-38-t0r" eventType="touchUpInside" id="v5q-Be-mDF"/>
                                                        </connections>
                                                    </button>
                                                </subviews>
                                            </stackView>
                                        </subviews>
                                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <constraints>
                                            <constraint firstItem="IYA-lN-dtK" firstAttribute="leading" secondItem="HXc-gi-ngX" secondAttribute="leading" id="PcB-uQ-6ZD"/>
                                            <constraint firstAttribute="bottom" secondItem="IYA-lN-dtK" secondAttribute="bottom" constant="528.5" id="Rdf-Np-Ahc"/>
                                            <constraint firstItem="IYA-lN-dtK" firstAttribute="top" secondItem="HXc-gi-ngX" secondAttribute="top" id="hL3-uG-eRR"/>
                                            <constraint firstItem="IYA-lN-dtK" firstAttribute="width" secondItem="HXc-gi-ngX" secondAttribute="width" id="oGD-5a-lme"/>
                                        </constraints>
                                    </view>
                                </subviews>
                                <constraints>
                                    <constraint firstAttribute="bottom" secondItem="HXc-gi-ngX" secondAttribute="bottom" id="8jK-7W-EUa"/>
                                    <constraint firstItem="HXc-gi-ngX" firstAttribute="leading" secondItem="MSh-t8-vst" secondAttribute="leading" id="FE2-NX-uiL"/>
                                    <constraint firstAttribute="trailing" secondItem="HXc-gi-ngX" secondAttribute="trailing" id="Pkh-by-HTG"/>
                                    <constraint firstItem="HXc-gi-ngX" firstAttribute="width" secondItem="MSh-t8-vst" secondAttribute="width" id="UN4-PF-2lM"/>
                                    <constraint firstItem="HXc-gi-ngX" firstAttribute="top" secondItem="MSh-t8-vst" secondAttribute="top" id="cpA-Zs-iTP"/>
                                    <constraint firstItem="HXc-gi-ngX" firstAttribute="height" secondItem="MSh-t8-vst" secondAttribute="height" priority="250" id="o55-EG-h7S"/>
                                </constraints>
                            </scrollView>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <constraints>
                            <constraint firstItem="MSh-t8-vst" firstAttribute="leading" secondItem="xVO-kC-gAV" secondAttribute="leading" id="07X-kU-7SK"/>
                            <constraint firstItem="xVO-kC-gAV" firstAttribute="top" secondItem="MSh-t8-vst" secondAttribute="top" constant="20" id="FKC-I9-Fjc"/>
                            <constraint firstItem="xVO-kC-gAV" firstAttribute="bottom" secondItem="MSh-t8-vst" secondAttribute="bottom" id="Jxq-hH-Tnc"/>
                            <constraint firstItem="xVO-kC-gAV" firstAttribute="trailing" secondItem="MSh-t8-vst" secondAttribute="trailing" id="mXc-Z4-AV3"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="xVO-kC-gAV"/>
                    </view>
                    <size key="freeformSize" width="375" height="2000"/>
                    <connections>
                        <outlet property="accessTokenCheckResult" destination="mN8-8T-tWW" id="wJf-NQ-EOn"/>
                        <outlet property="accessTokenValue" destination="kqn-kf-32N" id="god-0u-e9F"/>
                        <outlet property="analytics" destination="DMP-85-vgY" id="0gw-Sr-VPR"/>
                        <outlet property="baseUrl" destination="Rfx-J6-q7r" id="Hs8-Iv-mmE"/>
                        <outlet property="blockAutologin" destination="vEw-Ux-fG4" id="jQl-8I-uZW"/>
                        <outlet property="clientId" destination="waf-Zj-fYh" id="zYD-M8-wLJ"/>
                        <outlet property="clientSecret" destination="t9g-2i-2tL" id="4eA-U6-G5X"/>
                        <outlet property="connectTimeout" destination="82N-29-886" id="uYv-xC-yR6"/>
                        <outlet property="formScrollView" destination="MSh-t8-vst" id="pmo-Mx-IoA"/>
                        <outlet property="headerXForwardedFor" destination="snW-Jd-X2F" id="6j0-Wi-h01"/>
                        <outlet property="headerXNokiaMSISDN" destination="h4o-yK-dbW" id="CWX-nY-GHo"/>
                        <outlet property="keepAlive" destination="bAJ-P1-53H" id="yCF-FS-URJ"/>
                        <outlet property="loginActions" destination="Co1-97-Vvo" id="SgH-xD-oYv"/>
                        <outlet property="loginActionsHolder" destination="Co1-97-Vvo" id="u9d-7k-upn"/>
                        <outlet property="loginBtn" destination="mSL-0j-rS8" id="bWK-Q2-ETw"/>
                        <outlet property="logoutBtn" destination="XJ4-vN-QYN" id="Rkk-0C-Q6q"/>
                        <outlet property="mptLabel" destination="A9K-bs-r8d" id="ukM-SN-BU4"/>
                        <outlet property="mptValue" destination="tq3-GB-VeO" id="lGk-6V-LDt"/>
                        <outlet property="msisdnHolder" destination="hjc-VK-7xR" id="3o9-9x-1nn"/>
                        <outlet property="msisdnValue" destination="I72-TG-w71" id="1ed-WF-ofQ"/>
                        <outlet property="otpCode" destination="cYK-ga-Ysk" id="8tk-m9-rJj"/>
                        <outlet property="otpDetails" destination="fTT-2y-bpx" id="or6-83-ccP"/>
                        <outlet property="otpHolder" destination="WeX-1j-Qk9" id="UIY-jI-4Hv"/>
                        <outlet property="readTimeout" destination="ZmF-t5-ykk" id="ce2-mO-1o6"/>
                        <outlet property="resultLabel" destination="qgS-ho-gMK" id="yAG-hf-8Pj"/>
                        <outlet property="retryCount" destination="rHN-HT-5Is" id="uZL-VT-n24"/>
                        <outlet property="userName" destination="Vlz-9l-jvh" id="5uL-TV-1tA"/>
                        <outlet property="userNameHolder" destination="jS7-cG-Tcw" id="ayL-4v-1ZX"/>
                        <outlet property="userPass" destination="Qgp-uH-XI2" id="yyc-dd-soF"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="136.80000000000001" y="132.68365817091455"/>
        </scene>
    </scenes>
</document>
